import{s as re,o as ge,n as ce}from"../chunks/scheduler.7bc62968.js";import{S as fe,i as de,g as a,s,r as G,A as me,h as o,f as i,c as l,j as oe,u as B,x as u,k as c,y as he,a as n,v as J,d as K,t as Q,w as X,m as ue,n as pe}from"../chunks/index.2f8492b0.js";import{T as ve}from"../chunks/Tip.016f38d9.js";import{H as tt}from"../chunks/Heading.14fb2476.js";function Ce(et){let r,g,d="Enterprise Hub",f;return{c(){r=ue("This feature is part of the "),g=a("a"),g.textContent=d,f=ue("."),this.h()},l(p){r=pe(p,"This feature is part of the "),g=o(p,"A",{href:!0,target:!0,"data-svelte-h":!0}),u(g)!=="svelte-170ex92"&&(g.textContent=d),f=pe(p,"."),this.h()},h(){c(g,"href","https://huggingface.co/enterprise"),c(g,"target","_blank")},m(p,m){n(p,r,m),n(p,g,m),n(p,f,m)},p:ce,d(p){p&&(i(r),i(g),i(f))}}}function xe(et){let r,g,d,f,p,m,_,zt="In this guide, we will use Okta as the SSO provider and with the Open ID Connect (OIDC) protocol as our preferred identity protocol.",it,h,nt,T,st,S,Dt="Open a new tab/window in your browser and sign in to your Okta account.",lt,H,jt="Navigate to “Admin/Applications” and click the “Create App Integration” button.",at,v,Ut='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-1.png"/>',ot,I,Rt="Then choose an “OIDC - OpenID Connect” application, select the application type “Web Application” and click “Create”.",ut,C,Et='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-2.png"/>',pt,O,rt,L,At="Open a new tab/window in your browser and navigate to the SSO section of your organization’s settings. Select the OIDC protocol.",gt,x,Vt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-navigation-settings.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-navigation-settings-dark.png"/>',ct,k,Ft='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-settings.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-settings-dark.png"/>',ft,M,qt=`Copy the “Redirection URI” from the organization’s settings on Hugging Face, and paste it in the “Sign-in redirect URI” field on Okta.
The URL looks like this: <code>https://huggingface.co/organizations/[organizationIdentifier]/oidc/consume</code>.`,dt,P,Yt="You can leave the optional Sign-out redirect URIs blank.",mt,$,Nt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-3.png"/>',ht,z,Wt="Save your new application.",vt,D,Ct,j,Gt="In your Okta application, under “General”, find the following fields:",xt,U,Bt=`<li>Client ID</li> <li>Client secret</li> <li>Issuer URL
You will need these to finalize the SSO setup on Hugging Face.</li>`,kt,R,Jt='The Okta Issuer URL is generally a URL like <code>https://tenantId.okta.com</code>; you can refer to their <a href="https://support.okta.com/help/s/article/What-is-theIssuerlocated-under-the-OpenID-Connect-ID-Token-app-settings-used-for?language=en_US" rel="nofollow">guide</a> for more details.',$t,w,Kt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-4.png"/>',wt,E,Qt="In the SSO section of your organization’s settings on Hugging Face, copy-paste these values from Okta:",yt,A,Xt="<li>Sign-on URL</li> <li>SP Entity ID</li> <li>Public certificate</li>",bt,y,Zt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-5.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-5-dark.png"/>',_t,V,te="You can now click on “Update and Test OIDC configuration” to save the settings.",Tt,F,ee="You should be redirected to your SSO provider (IdP) login prompt. Once logged in, you’ll be redirected to your organization’s settings page.",St,q,ie="A green check mark near the OIDC selector will attest that the test was successful.",Ht,b,ne='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-6.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/sso/sso-okta-guide-6-dark.png"/>',It,Y,Ot,N,se="Now that Single Sign-On is configured and tested, you can enable it for members of your organization by clicking on the “Enable” button.",Lt,W,le='Once enabled, members of your organization must complete the SSO authentication flow described in the <a href="./security-sso#how-does-it-work">How does it work?</a> section.',Mt,Z,Pt;return p=new tt({props:{title:"How to configure OIDC SSO with Okta",local:"how-to-configure-oidc-sso-with-okta",headingTag:"h1"}}),h=new ve({props:{warning:!0,$$slots:{default:[Ce]},$$scope:{ctx:et}}}),T=new tt({props:{title:"Step 1: Create a new application in your Identity Provider",local:"step-1-create-a-new-application-in-your-identity-provider",headingTag:"h3"}}),O=new tt({props:{title:"Step 2: Configure your application in Okta",local:"step-2-configure-your-application-in-okta",headingTag:"h3"}}),D=new tt({props:{title:"Step 3: Finalize configuration on Hugging Face",local:"step-3-finalize-configuration-on-hugging-face",headingTag:"h3"}}),Y=new tt({props:{title:"Step 4: Enable SSO in your organization",local:"step-4-enable-sso-in-your-organization",headingTag:"h3"}}),{c(){r=a("meta"),g=s(),d=a("p"),f=s(),G(p.$$.fragment),m=s(),_=a("p"),_.textContent=zt,it=s(),G(h.$$.fragment),nt=s(),G(T.$$.fragment),st=s(),S=a("p"),S.textContent=Dt,lt=s(),H=a("p"),H.textContent=jt,at=s(),v=a("div"),v.innerHTML=Ut,ot=s(),I=a("p"),I.textContent=Rt,ut=s(),C=a("div"),C.innerHTML=Et,pt=s(),G(O.$$.fragment),rt=s(),L=a("p"),L.textContent=At,gt=s(),x=a("div"),x.innerHTML=Vt,ct=s(),k=a("div"),k.innerHTML=Ft,ft=s(),M=a("p"),M.innerHTML=qt,dt=s(),P=a("p"),P.textContent=Yt,mt=s(),$=a("div"),$.innerHTML=Nt,ht=s(),z=a("p"),z.textContent=Wt,vt=s(),G(D.$$.fragment),Ct=s(),j=a("p"),j.textContent=Gt,xt=s(),U=a("ul"),U.innerHTML=Bt,kt=s(),R=a("p"),R.innerHTML=Jt,$t=s(),w=a("div"),w.innerHTML=Kt,wt=s(),E=a("p"),E.textContent=Qt,yt=s(),A=a("ul"),A.innerHTML=Xt,bt=s(),y=a("div"),y.innerHTML=Zt,_t=s(),V=a("p"),V.textContent=te,Tt=s(),F=a("p"),F.textContent=ee,St=s(),q=a("p"),q.textContent=ie,Ht=s(),b=a("div"),b.innerHTML=ne,It=s(),G(Y.$$.fragment),Ot=s(),N=a("p"),N.textContent=se,Lt=s(),W=a("p"),W.innerHTML=le,Mt=s(),Z=a("p"),this.h()},l(t){const e=me("svelte-u9bgzb",document.head);r=o(e,"META",{name:!0,content:!0}),e.forEach(i),g=l(t),d=o(t,"P",{}),oe(d).forEach(i),f=l(t),B(p.$$.fragment,t),m=l(t),_=o(t,"P",{"data-svelte-h":!0}),u(_)!=="svelte-gjv3b6"&&(_.textContent=zt),it=l(t),B(h.$$.fragment,t),nt=l(t),B(T.$$.fragment,t),st=l(t),S=o(t,"P",{"data-svelte-h":!0}),u(S)!=="svelte-gqqhfw"&&(S.textContent=Dt),lt=l(t),H=o(t,"P",{"data-svelte-h":!0}),u(H)!=="svelte-1w2fzw6"&&(H.textContent=jt),at=l(t),v=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(v)!=="svelte-1jje88h"&&(v.innerHTML=Ut),ot=l(t),I=o(t,"P",{"data-svelte-h":!0}),u(I)!=="svelte-wmdyvh"&&(I.textContent=Rt),ut=l(t),C=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(C)!=="svelte-1dejgpk"&&(C.innerHTML=Et),pt=l(t),B(O.$$.fragment,t),rt=l(t),L=o(t,"P",{"data-svelte-h":!0}),u(L)!=="svelte-cx5lon"&&(L.textContent=At),gt=l(t),x=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(x)!=="svelte-1os4n6r"&&(x.innerHTML=Vt),ct=l(t),k=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(k)!=="svelte-uhmzlb"&&(k.innerHTML=Ft),ft=l(t),M=o(t,"P",{"data-svelte-h":!0}),u(M)!=="svelte-1wqnq40"&&(M.innerHTML=qt),dt=l(t),P=o(t,"P",{"data-svelte-h":!0}),u(P)!=="svelte-1cjhzim"&&(P.textContent=Yt),mt=l(t),$=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u($)!=="svelte-125e92f"&&($.innerHTML=Nt),ht=l(t),z=o(t,"P",{"data-svelte-h":!0}),u(z)!=="svelte-pyiwmi"&&(z.textContent=Wt),vt=l(t),B(D.$$.fragment,t),Ct=l(t),j=o(t,"P",{"data-svelte-h":!0}),u(j)!=="svelte-3plxhk"&&(j.textContent=Gt),xt=l(t),U=o(t,"UL",{"data-svelte-h":!0}),u(U)!=="svelte-nac5vj"&&(U.innerHTML=Bt),kt=l(t),R=o(t,"P",{"data-svelte-h":!0}),u(R)!=="svelte-1guv2n5"&&(R.innerHTML=Jt),$t=l(t),w=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(w)!=="svelte-39ngti"&&(w.innerHTML=Kt),wt=l(t),E=o(t,"P",{"data-svelte-h":!0}),u(E)!=="svelte-1i6j0rw"&&(E.textContent=Qt),yt=l(t),A=o(t,"UL",{"data-svelte-h":!0}),u(A)!=="svelte-1by62dk"&&(A.innerHTML=Xt),bt=l(t),y=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(y)!=="svelte-1itcnax"&&(y.innerHTML=Zt),_t=l(t),V=o(t,"P",{"data-svelte-h":!0}),u(V)!=="svelte-riyetk"&&(V.textContent=te),Tt=l(t),F=o(t,"P",{"data-svelte-h":!0}),u(F)!=="svelte-lto0we"&&(F.textContent=ee),St=l(t),q=o(t,"P",{"data-svelte-h":!0}),u(q)!=="svelte-4ijz0i"&&(q.textContent=ie),Ht=l(t),b=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(b)!=="svelte-1mh2lfj"&&(b.innerHTML=ne),It=l(t),B(Y.$$.fragment,t),Ot=l(t),N=o(t,"P",{"data-svelte-h":!0}),u(N)!=="svelte-1gfp18n"&&(N.textContent=se),Lt=l(t),W=o(t,"P",{"data-svelte-h":!0}),u(W)!=="svelte-1qe2edf"&&(W.innerHTML=le),Mt=l(t),Z=o(t,"P",{}),oe(Z).forEach(i),this.h()},h(){c(r,"name","hf:doc:metadata"),c(r,"content",ke),c(v,"class","flex justify-center"),c(C,"class","flex justify-center"),c(x,"class","flex justify-center"),c(k,"class","flex justify-center"),c($,"class","flex justify-center"),c(w,"class","flex justify-center"),c(y,"class","flex justify-center"),c(b,"class","flex justify-center")},m(t,e){he(document.head,r),n(t,g,e),n(t,d,e),n(t,f,e),J(p,t,e),n(t,m,e),n(t,_,e),n(t,it,e),J(h,t,e),n(t,nt,e),J(T,t,e),n(t,st,e),n(t,S,e),n(t,lt,e),n(t,H,e),n(t,at,e),n(t,v,e),n(t,ot,e),n(t,I,e),n(t,ut,e),n(t,C,e),n(t,pt,e),J(O,t,e),n(t,rt,e),n(t,L,e),n(t,gt,e),n(t,x,e),n(t,ct,e),n(t,k,e),n(t,ft,e),n(t,M,e),n(t,dt,e),n(t,P,e),n(t,mt,e),n(t,$,e),n(t,ht,e),n(t,z,e),n(t,vt,e),J(D,t,e),n(t,Ct,e),n(t,j,e),n(t,xt,e),n(t,U,e),n(t,kt,e),n(t,R,e),n(t,$t,e),n(t,w,e),n(t,wt,e),n(t,E,e),n(t,yt,e),n(t,A,e),n(t,bt,e),n(t,y,e),n(t,_t,e),n(t,V,e),n(t,Tt,e),n(t,F,e),n(t,St,e),n(t,q,e),n(t,Ht,e),n(t,b,e),n(t,It,e),J(Y,t,e),n(t,Ot,e),n(t,N,e),n(t,Lt,e),n(t,W,e),n(t,Mt,e),n(t,Z,e),Pt=!0},p(t,[e]){const ae={};e&2&&(ae.$$scope={dirty:e,ctx:t}),h.$set(ae)},i(t){Pt||(K(p.$$.fragment,t),K(h.$$.fragment,t),K(T.$$.fragment,t),K(O.$$.fragment,t),K(D.$$.fragment,t),K(Y.$$.fragment,t),Pt=!0)},o(t){Q(p.$$.fragment,t),Q(h.$$.fragment,t),Q(T.$$.fragment,t),Q(O.$$.fragment,t),Q(D.$$.fragment,t),Q(Y.$$.fragment,t),Pt=!1},d(t){t&&(i(g),i(d),i(f),i(m),i(_),i(it),i(nt),i(st),i(S),i(lt),i(H),i(at),i(v),i(ot),i(I),i(ut),i(C),i(pt),i(rt),i(L),i(gt),i(x),i(ct),i(k),i(ft),i(M),i(dt),i(P),i(mt),i($),i(ht),i(z),i(vt),i(Ct),i(j),i(xt),i(U),i(kt),i(R),i($t),i(w),i(wt),i(E),i(yt),i(A),i(bt),i(y),i(_t),i(V),i(Tt),i(F),i(St),i(q),i(Ht),i(b),i(It),i(Ot),i(N),i(Lt),i(W),i(Mt),i(Z)),i(r),X(p,t),X(h,t),X(T,t),X(O,t),X(D,t),X(Y,t)}}}const ke='{"title":"How to configure OIDC SSO with Okta","local":"how-to-configure-oidc-sso-with-okta","sections":[{"title":"Step 1: Create a new application in your Identity Provider","local":"step-1-create-a-new-application-in-your-identity-provider","sections":[],"depth":3},{"title":"Step 2: Configure your application in Okta","local":"step-2-configure-your-application-in-okta","sections":[],"depth":3},{"title":"Step 3: Finalize configuration on Hugging Face","local":"step-3-finalize-configuration-on-hugging-face","sections":[],"depth":3},{"title":"Step 4: Enable SSO in your organization","local":"step-4-enable-sso-in-your-organization","sections":[],"depth":3}],"depth":1}';function $e(et){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Te extends fe{constructor(r){super(),de(this,r,$e,xe,re,{})}}export{Te as component};
